Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A cron-like program that can run jobs lost during downtime
Name: 		anacron
Version: 	2.3
Release: 	3
License: 	GPLv2+
Group: 		System/Base
URL: 		http://packages.debian.org/stable/source/anacron
Source: 	http://ftp.debian.org/debian/pool/main/a/anacron/%{name}_%{version}.orig.tar.gz
Source1: 	anacrontab
Source2: 	anacron.init
Patch0: 	anacron_2.3-13.patch
Patch1: 	anacron-2.3-mail-content-type-77108.patch
Patch2: 	anacron-2.3-fdclose.patch
Patch3: 	anacron-2.3-pic.patch
Patch4: 	anacron-2.3-memleaking.patch
Patch5: 	anacron-2.3-onbattery.patch
Requires: 	crontabs
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(postun): /sbin/service 
Requires(preun): /sbin/service
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	fcron

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler.
It executes commands at intervals specified in days.  Unlike cron, it
does not assume that the system is running continuously.  It can
therefore be used to control the execution of daily, weekly and
monthly jobs (or anything with a period of n days), on systems that
don't run 24 hours a day.  When installed and configured properly,
Anacron will make sure that the commands are run at the specified
intervals as closely as machine-uptime permits.  

This package is pre-configured to execute the daily jobs of the CCux Linux
system. You should install this program if your 
system isn't powered on 24 hours a day to make sure the maintenance 
jobs of other CCux Linux packages are executed each day.

%prep
%setup -q
%patch0 -p1 -b .try
%patch1 -p1 -b .charset
%patch2 -p1 -b .fdclose
%patch3 -p1 -b .pic
%patch4 -p1 -b .memleaking
%patch5 -p1 -b .onbattery

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/,usr/sbin/,%{_mandir}/man5,%{_mandir}/man8/}
mkdir -p $RPM_BUILD_ROOT/var/spool/anacron/

cp anacron $RPM_BUILD_ROOT/usr/sbin
cp anacron.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
cp anacrontab.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
cp %SOURCE1 $RPM_BUILD_ROOT/etc

for i in cron.daily cron.weekly cron.monthly;do
mkdir -p $RPM_BUILD_ROOT/etc/$i/
done

cp debian/0anacron.daily $RPM_BUILD_ROOT/etc/cron.daily/0anacron
cp debian/0anacron.monthly $RPM_BUILD_ROOT/etc/cron.monthly/0anacron
cp debian/0anacron.weekly $RPM_BUILD_ROOT/etc/cron.weekly/0anacron

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -c -m755 %SOURCE2 $RPM_BUILD_ROOT/etc/rc.d/init.d/anacron

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig  --add anacron
if [ "$1" -ge 1 ]; then
	/sbin/chkconfig --level 2345 anacron resetpriorities
fi

%preun
if [ "$1" = "0" ]; then
	service anacron stop >/dev/null 2>&1 ||:
	/sbin/chkconfig --del anacron
fi

%postun
if [ "$1" -ge "1" ]; then
	service anacron restart >/dev/null 2>&1 ||:
fi

%files
%defattr(-,root,root,0755)
%doc COPYING README
%config(noreplace) /etc/anacrontab
%dir /var/spool/anacron/
%dir /etc/rc.d/init.d/*
/%{_mandir}/man5/*
/%{_mandir}/man8/*
/usr/sbin/anacron
%attr(755,root,root) %dir /etc/cron.daily/0anacron
%attr(755,root,root) %dir /etc/cron.monthly/0anacron
%attr(755,root,root) %dir /etc/cron.weekly/0anacron

%changelog
* Fri Jan 25 2008 Christian Metzen <metzench@ccux-linux.de> 2.3-3
- fin in initscript again
* Thu Jan 24 2008 Christian Metzen <metzench@ccux-linux.de> 2.3-2
- fix in initscript
* Thu Jan 24 2008 Christian Metzen <metzench@ccux-linux.de> 2.3-1
- Initial release, replaces fcron
